echo off
cls
echo +
echo +
echo +                     Asker1 Hard Disk Installation
echo +                     +++++++++++++++++++++++++++++
echo +
rem
rem check for source drive letters
if "%1" == ""  goto syntax
rem
rem  if dir doesnt exist, warn the user to exit. 
echo +    The Asker1 files will be installed in an ASKER1 sub-directory
echo +    which will be created in directory %2, shown below: 
dir %2 /w
echo +
echo +
echo +  If 'file not found', press CTRL C to exit now.  You will need to
echo +  create directory %2.  Use the DOS 'MKDIR' command. 
echo +
echo +  Otherwise,
pause
rem
rem  if Asker already loaded, then do not need to make the dir
if exist %2\ASKER1\asker1.exe goto Copyit
rem
rem  make the dir
md %2\ASKER1
rem
:Copyit
copy %1\*.* %2\ASKER1\*.*
copy %1\HI_C.BAT C:\HI.BAT
echo +   
echo +
echo +
echo +    Installation should be completed.  All the files on the Asker1 
echo +    disk should be in the following ASKER1 directory on your hard disk:
echo +
dir %2\ASKER1
echo +
pause
echo +
echo +
echo +
echo +    and the HI.BAT from the Asker1 disk should be in the root directory
echo +    of your C drive:
echo +
dir C:\HI.BAT
echo +
pause
echo +
rem
if /%2==C:/ goto NoAdvice 
if /%2==c:/ goto NoAdvice
rem
echo +
echo +
echo +    If you have installed to a drive other than C: you will need 
echo +    to edit the HI.BAT file in the C: drive root directory to 
echo +    indicate that particular drive rather than the C: drive.  For 
echo +    example, if you have installed to drive E:, it should read 
echo +    "E:\ASKER1\ASKER1.EXE" rather than"C:\ASKER1\ASKER1.EXE".
echo +
echo +    If you have installed to a directory beyond the root level, 
echo +    you will need to edit the HI.BAT in the C: drive root directory 
echo +    to point to the directory in which ASKER1 is installed.  For 
echo +    example, "C:\AE\ASKER1\ASKER1.EXE" if you have installed to "C:\AE".
echo +
echo +    Would you would like to have the HI.BAT file somewhere other than 
echo +    in the root directory?  You may copy it to any directory mentioned 
echo +    in the PATH statement in the AUTOEXEC.BAT.       
echo +
echo +
echo +    Once HI.BAT is in place, you can type 'HI' at any time to run Asker1.
echo +
echo +
goto Exit
rem
rem
:NoAdvice
C:
echo +
echo +    You can type 'HI' at any time to run Asker1.
echo +
echo +    Try typing 'HI' now!
echo +
goto Exit
rem
rem
:Syntax 
echo +    The INSTALL batch file can install ASKER1 from any floppy disk
echo +    (drive A:, B: or whatever) to any hard disk (C:, D:, E:, etc).
echo +
echo +    To install the Asker program from the floppy to the hard disk,
echo +    please type
echo +                       INSTALL A: C:
echo +
echo +    where A: (or B:) is the source drive and C: (or D:, E:, F:, etc.) 
echo +    is the destination.
echo +
echo +    To install Asker in C:\AE\ASKER1,  first use the MKDIR command to
echo +    make directory C:\AE,  then type  INSTALL A: C:\AE . 
echo +
echo +    If you install to a hard drive other than C or as a subdirectory
echo +    of another directory you will need to edit HI.BAT in the root
echo +    directory to read (for example)  
echo +
echo +      E:ASKER1\ASKER1.EXE   or   C:\AUTOMATA\AE\ASKER1\ASKER1.EXE 
echo +
echo +
goto Exit
:Exit



